CreateTdsDeposit
POST
/v2.0/openflow/create-tds-deposit
const url = 'https://wl.api.cluster.openbrix.co.uk/v2.0/openflow/create-tds-deposit';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"rental_amount":1,"rental_frequency":"example","tenancy_deposit_amount":1,"tenancy_deposit_amount_protect":1,"holding_desposit_received_date":"2026-04-15T12:00:00Z","tenancy_start_date":"2026-04-15T12:00:00Z","tenancy_end_date":"2026-04-15T12:00:00Z","number_of_tenants":1,"property_name":"example","is_organizational_tenant":"example","is_relative_person":"example","agreement":"example","contactAddress":"example","relativePersonDetails":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://wl.api.cluster.openbrix.co.uk/v2.0/openflow/create-tds-deposit \ --header 'Content-Type: application/json' \ --data '{ "rental_amount": 1, "rental_frequency": "example", "tenancy_deposit_amount": 1, "tenancy_deposit_amount_protect": 1, "holding_desposit_received_date": "2026-04-15T12:00:00Z", "tenancy_start_date": "2026-04-15T12:00:00Z", "tenancy_end_date": "2026-04-15T12:00:00Z", "number_of_tenants": 1, "property_name": "example", "is_organizational_tenant": "example", "is_relative_person": "example", "agreement": "example", "contactAddress": "example", "relativePersonDetails": {} }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
rental_amount
required
number format: double
rental_frequency
required
string
tenancy_deposit_amount
required
number format: double
tenancy_deposit_amount_protect
required
number format: double
holding_desposit_received_date
required
string format: date-time
tenancy_start_date
required
string format: date-time
tenancy_end_date
required
string format: date-time
number_of_tenants
required
number format: double
property_name
required
string
is_organizational_tenant
required
string
is_relative_person
required
string
agreement
required
string
contactAddress
required
string
relativePersonDetails
object
Examplegenerated
{ "rental_amount": 1, "rental_frequency": "example", "tenancy_deposit_amount": 1, "tenancy_deposit_amount_protect": 1, "holding_desposit_received_date": "2026-04-15T12:00:00Z", "tenancy_start_date": "2026-04-15T12:00:00Z", "tenancy_end_date": "2026-04-15T12:00:00Z", "number_of_tenants": 1, "property_name": "example", "is_organizational_tenant": "example", "is_relative_person": "example", "agreement": "example", "contactAddress": "example", "relativePersonDetails": {}}Responses
Section titled “ Responses ”Ok
Media typeapplication/json
Examplegenerated
example